package com.qmth.teachcloud.mark.dto.mark.score;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

public class StudentPaperDetailDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;
    private Integer paperIndex;
    private Long paperId;
    private Integer cardNumber;
    private Integer pageIndex;
    private String sheetPath;
    private String recogData;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Integer getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(Integer paperIndex) {
        this.paperIndex = paperIndex;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public String getSheetPath() {
        return sheetPath;
    }

    public void setSheetPath(String sheetPath) {
        this.sheetPath = sheetPath;
    }

    public String getRecogData() {
        return recogData;
    }

    public void setRecogData(String recogData) {
        this.recogData = recogData;
    }
}
